{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
  flags = currentMachine.configuration-flags;
in

mkIf flags.developpement-haskell {

  # Paquets
  environment.systemPackages = with pkgs; [
    # Haskell platform
    cabal-install         # fournis cabal
    cabal2nix             # convertir les .cabal en .nix
    ghc                   # pour les appels depuis les scripts
    stack                 # pour les paquets en LTS de stackage
  ] ++ (with pkgs.haskellPackages; [
    # Haskell lib
    autoproc	# ? procmail
    darcs	# Gestionnaire de version éponyme
    ghc-mod
    hindent         # indentation code
    hlint           # qualite de code, analyse statique de code + astuces & bonnes pratiques
    #postgrest       # mapper HTTP <-> PostgreSQL
    stylish-haskell # qualité de code
    turtle	# genre shell-scripting

    # Application perso
    hahp
  ]);
}
